PCAP_LOOKUPDEV(3) | Library Functions Manual | PCAP_LOOKUPDEV(3)

# NAME

pcap_lookupdev - find the default device on which to capture

# SYNOPSIS

#include <pcap/pcap.h>

char errbuf[PCAP_ERRBUF_SIZE];

char *pcap_lookupdev(char *errbuf);

# DESCRIPTION

pcap_lookupdev() returns a pointer to a string giving the name of a network device suitable for use with pcap_create() and pcap_activate(), or with pcap_open_live(), and with pcap_lookupnet(). If there is an error, NULL is returned and errbuf is filled in with an appropriate error message. errbuf is assumed to be able to hold at least PCAP_ERRBUF_SIZE chars.

# SEE ALSO

pcap(3), pcap_create(3), pcap_activate(3), pcap_open_live(3), pcap_lookupnet(3)

5 April 2008 |